Package org.jfree.layouting.input.style

## Class CSSPageAreaRule

- java.lang.Object
- - org.jfree.layouting.input.style.StyleRule
  - - org.jfree.layouting.input.style.CSSDeclarationRule
    - - org.jfree.layouting.input.style.CSSPageAreaRule

-     public class CSSPageAreaRule
      extends CSSDeclarationRule

  Creation-Date: 29.05.2006, 18:04:01
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSPageAreaRule​(StyleSheet parentStyle, StyleRule parentRule, PageAreaType pageArea)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PageAreaType` | `getPageArea​()` |

    - ### Methods inherited from class org.jfree.layouting.input.style.CSSDeclarationRule

      `clear, clone, getImportantValues, getPropertyCSSValue, getPropertyKeysAsArray, getStyleValues, isEmpty, isImportant, removeProperty, setImportant, setPropertyValue, setPropertyValue, setPropertyValueAsString, setPropertyValueAsString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

      `getParentRule, getParentStyle, getStyleKeyRegistry, isReadOnly, makeReadOnly, setParentRule, setParentStyle`

- - ### Constructor Detail

    - #### CSSPageAreaRule

          public CSSPageAreaRule​(StyleSheet parentStyle,
                                 StyleRule parentRule,
                                 PageAreaType pageArea)

  - ### Method Detail

    - #### getPageArea

          public PageAreaType getPageArea​()